<div class="ui modal form">
  <i class="close icon"></i>
  <div class="header">
    Crear
  </div>
  <div class="content">
    <%= form_for @shelf, url: admin_drive_shelf_path, remote: true do |form| %>

      <%= error_message(@shelf) %>

      <div class="ui two column stackable grid">
        <div class="column">
          <strong>Departamento</strong>
          <%= form.select(:department_id,
                          Admin::Drive::Department.all.collect {|department| [department.name.titleize, department.id]}.sort,
                          {prompt: 'Seleccione una opción'}, {class: 'ui fluid selection dropdown'}) %>
        </div>
        <div class="column">
          <strong>Nombre</strong>
          <%= form.text_field :name, required: true %>
        </div>
      </div>


      <div data-controller="nested-form">
        <div class="ui one column stackable grid">
          <div class="column">
            <h3>Filas</h3>
          </div>
        </div>

        <div class="hr-divider"></div>

        <template data-target="nested-form.template">
          <%= form.fields_for :rows, Admin::Drive::Row.new, child_index: 'TEMPLATE_RECORD' do |row| %>
            <%= render 'admin/drive/shelves/forms/rows', form: row %>
          <% end %>
        </template>

        <%= form.fields_for :rows do |row| %>
          <%= render 'admin/drive/shelves/forms/rows', form: row %>
        <% end %>

        <div data-target="nested-form.add_task" style="position: absolute; right: 1.3rem; top: 11rem">
          <%= link_to "Agregar", '#', data: { action: "nested-form#add_association" }, class: 'nested-add-field-button ui blue button' %>
        </div>

      </div>

      <div class="hr-divider"></div>

      <div class="ui one column stackable grid">
        <div class="column">
          <%= form.submit 'Guardar', class: 'ui fluid green button', data: {confirm: '¿Esta seguro de esta información?'} %>
        </div>
      </div>

    <% end %>
  </div>

</div>

<script>
  $('.ui.dropdown').dropdown({showOnFocus: false});
</script>
